Subject: RE: [Bridge-mib] RFC 1473 dot1dStpPortEnable is not well specifie d

From: "Ayers, Mike" <[email-masked]>
Date: Fri, 31 Aug 2001 13:51:55 -0500

> From: Michael MacFaden [mailto:[email-masked]] 
> Sent: Friday, August 31, 2001 11:18 AM

> At 12:29 PM 8/31/2001 -0500, you wrote:
> >I agree.  However, I don't think we can standardize what the
> >marketplace has implemented when their implementations are 
> so far apart.
> 
> I don't think from the data I collected they were "far apart" 
> actually.
> Can you elaborate? 
> 
> Three of the four brouters allow for STP to be turned off. 

	Not really.  Two use dot1dStpPortEnable to turn off STP.  One uses
it to turn off the port.  One does not permit its use.  That seems far apart
to me, since I do not interpret shutting down the port as turning off STP,
even though that is a side effect of it.

> The behavior
> for what happens when STP is turned of is the same for all three.
> dot1dStpPortEnable should be clarified as to what the relationship
> with ifAdminStatus is in various configurations.

	Given the evidence, I must agree that this would be necessary,
although without evidence, I would not have thought so.

> Port Membership in dot1dBasePortTable also needs to be clarified.

	Please elaborate.

> The ifAdminStatus behavior could easily be resolved. There 
> really is *one* right
> answer for turning ifAdminStatus to down(2) for an ifType of 6. 

	Agreed, and, I think, never in question.

/|/|ike

> Updates to RFC 2665 should clarify that behavior.
> 
> Mike MacFaden
> 
> 
> _______________________________________________
> Bridge-mib mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bridge-mib
> 

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib